# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"target1": "mom.com",
"target2": "quora.com",
"language_code": "en",
"location_code": 2840,
"include_serp_info": true,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"include_serp_info": true,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live"
payload = [
{
"include_serp_info": True,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
include_serp_info: true,
language_code: 'en',
limit: 3,
location_code: 2840,
target1: 'mom.com',
target2: 'quora.com'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'include_serp_info' => true,
'language_code' => 'en',
'limit' => 3,
'location_code' => 2840,
'target1' => 'mom.com',
'target2' => 'quora.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live"
payload := strings.NewReader("[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"items": [
{
"first_domain_serp_element": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": [
"<string>"
],
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"se_type": "<string>",
"type": "<string>",
"xpath": "<string>"
},
"keyword_data": {
"avg_backlinks_info": {
"backlinks": 123,
"dofollow": 123,
"last_updated_time": "<string>",
"main_domain_rank": 123,
"rank": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"referring_pages": 123,
"se_type": "<string>"
},
"clickstream_keyword_info": {
"age_distribution": {},
"gender_distribution": {},
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword": "<string>",
"keyword_info": {
"categories": [
123
],
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"high_top_of_page_bid": 123,
"last_updated_time": "<string>",
"low_top_of_page_bid": 123,
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"se_type": "<string>",
"search_volume": 123,
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_info_normalized_with_clickstream": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_properties": {
"core_keyword": "<string>",
"detected_language": "<string>",
"is_another_language": true,
"keyword_difficulty": 123,
"se_type": "<string>",
"synonym_clustering_algorithm": "<string>",
"words_count": 123
},
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"search_intent_info": {
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>",
"main_intent": "<string>",
"se_type": "<string>"
},
"serp_info": {
"check_url": "<string>",
"last_updated_time": "<string>",
"previous_updated_time": "<string>",
"se_results_count": 123,
"se_type": "<string>",
"serp_item_types": [
"<string>"
]
}
},
"se_type": "<string>",
"second_domain_serp_element": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": [
"<string>"
],
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"se_type": "<string>",
"type": "<string>",
"xpath": "<string>"
}
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"target1": "<string>",
"target2": "<string>",
"total_count": 123
}
]
}
]
}Domain Intersection
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"target1": "mom.com",
"target2": "quora.com",
"language_code": "en",
"location_code": 2840,
"include_serp_info": true,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"include_serp_info": true,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live"
payload = [
{
"include_serp_info": True,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
include_serp_info: true,
language_code: 'en',
limit: 3,
location_code: 2840,
target1: 'mom.com',
target2: 'quora.com'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'include_serp_info' => true,
'language_code' => 'en',
'limit' => 3,
'location_code' => 2840,
'target1' => 'mom.com',
'target2' => 'quora.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live"
payload := strings.NewReader("[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"include_serp_info\": true,\n \"language_code\": \"en\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target1\": \"mom.com\",\n \"target2\": \"quora.com\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"items": [
{
"first_domain_serp_element": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": [
"<string>"
],
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"se_type": "<string>",
"type": "<string>",
"xpath": "<string>"
},
"keyword_data": {
"avg_backlinks_info": {
"backlinks": 123,
"dofollow": 123,
"last_updated_time": "<string>",
"main_domain_rank": 123,
"rank": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"referring_pages": 123,
"se_type": "<string>"
},
"clickstream_keyword_info": {
"age_distribution": {},
"gender_distribution": {},
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword": "<string>",
"keyword_info": {
"categories": [
123
],
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"high_top_of_page_bid": 123,
"last_updated_time": "<string>",
"low_top_of_page_bid": 123,
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"se_type": "<string>",
"search_volume": 123,
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_info_normalized_with_clickstream": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_properties": {
"core_keyword": "<string>",
"detected_language": "<string>",
"is_another_language": true,
"keyword_difficulty": 123,
"se_type": "<string>",
"synonym_clustering_algorithm": "<string>",
"words_count": 123
},
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"search_intent_info": {
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>",
"main_intent": "<string>",
"se_type": "<string>"
},
"serp_info": {
"check_url": "<string>",
"last_updated_time": "<string>",
"previous_updated_time": "<string>",
"se_results_count": 123,
"se_type": "<string>",
"serp_item_types": [
"<string>"
]
}
},
"se_type": "<string>",
"second_domain_serp_element": {
"links": [
{
"description": "<string>",
"domain": "<string>",
"snippet": "<string>",
"title": "<string>",
"type": "<string>",
"url": "<string>",
"xpath": "<string>"
}
],
"text": [
"<string>"
],
"position": "<string>",
"rank_absolute": 123,
"rank_group": 123,
"se_type": "<string>",
"type": "<string>",
"xpath": "<string>"
}
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"target1": "<string>",
"target2": "<string>",
"total_count": 123
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_dataforseo_labs_3bf2d2",
"method": "POST",
"path": "/apis/v1/dataforseo/dataforseo_labs/google/domain_intersection/live",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"include_serp_info": true,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
],
"items": {
"oneOf": [
{
"example": [
{
"include_serp_info": true,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
],
"properties": {
"filters": {
"description": "array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, <, <=, >, >=, =, <>, in, not_in, match, not_match, ilike, not_ilike, like, not_like you can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more characters example: [\"keyword_data.keyword_info.search_volume\",\"in\",[100,1000]] [[\"first_domain_serp_element.etv\",\">\",0],\"and\",[\"first_domain_serp_element.description\",\"like\",\"%goat%\"]] [[\"keyword_data.keyword_info.search_volume\",\">\",100], \"and\", [[\"first_domain_serp_element.description\",\"like\",\"%goat%\"], \"or\", [\"second_domain_serp_element.type\",\"=\",\"organic\"]]] for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide",
"items": {
"type": [
"object",
"null"
]
},
"type": [
"array",
"null"
]
},
"include_clickstream_data": {
"description": "include or exclude data from clickstream-based metrics in the result optional field if the parameter is set to true, you will receive clickstream_keyword_info, clickstream_etv, keyword_info_normalized_with_clickstream, and keyword_info_normalized_with_bing fields in the response default value: false with this parameter enabled, you will be charged double the price for the request learn more about how clickstream-based metrics are calculated in this help center article",
"type": [
"boolean",
"null"
]
},
"include_serp_info": {
"description": "include data from SERP for each keyword optional field if set to true, we will return a serp_info array containing SERP data (number of search results, relevant URL, and SERP features) for every keyword in the response default value: false",
"type": [
"boolean",
"null"
]
},
"intersections": {
"description": "domain intersections in SERP optional field if you set intersections to true, you will get the keywords for which both target domains specified as target1 and target2 have results within the same SERP; the corresponding SERP elements for both domains will be provided in the results array Note: this endpoint will not provide results if the number of intersecting keywords exceeds 10 million if you specify intersections: false, you will get the keywords for which the domain specified as target1 has results in SERP, and the domain specified as target2 doesn't; thus, the corresponding SERP elements and other data will be provided for the domain specified as target1only default value: true",
"type": [
"boolean",
"null"
]
},
"item_types": {
"description": "search results type indicates type of search results included in the response optional field possible values: [\"organic\", \"paid\", \"featured_snippet\", \"local_pack\"] default value: [\"organic\", \"paid\"]",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"language_code": {
"description": "language code required field if you don't specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: en",
"type": [
"string",
"null"
]
},
"language_name": {
"description": "full name of the language required field if you don't specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: English",
"type": [
"string",
"null"
]
},
"limit": {
"description": "the maximum number of returned keywords optional field default value: 100 maximum value: 1000",
"type": [
"integer",
"null"
]
},
"location_code": {
"description": "location code required field if you don't specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: 2840",
"type": [
"integer",
"null"
]
},
"location_name": {
"description": "full name of the location required field if you don't specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: United Kingdom",
"type": [
"string",
"null"
]
},
"offset": {
"description": "offset in the items array of returned keywords optional field default value: 0 if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords",
"type": [
"integer",
"null"
]
},
"order_by": {
"description": "results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc - results will be sorted in the ascending order desc - results will be sorted in the descending order you should use a comma to set up a sorting parameter example: [\"keyword_data.keyword_info.competition,desc\"] default rule: [\"keyword_data.keyword_info.search_volume,desc\"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: [\"keyword_data.keyword_info.search_volume,desc\",\"keyword_data.keyword_info.cpc,desc\"]",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"tag": {
"description": "user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response",
"type": [
"string",
"null"
]
},
"target1": {
"description": "domain required field the domain name of the first target website the domain should be specified without https:// and www.",
"type": "string"
},
"target2": {
"description": "domain required field the domain name of the second target website the domain should be specified without https:// and www.",
"type": "string"
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0124,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0124 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0124
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, <, <=, >, >=, =, <>, in, not_in, match, not_match, ilike, not_ilike, like, not_like you can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more characters example: ["keyword_data.keyword_info.search_volume","in",[100,1000]] [["first_domain_serp_element.etv",">",0],"and",["first_domain_serp_element.description","like","%goat%"]] [["keyword_data.keyword_info.search_volume",">",100], "and", [["first_domain_serp_element.description","like","%goat%"], "or", ["second_domain_serp_element.type","=","organic"]]] for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide
include or exclude data from clickstream-based metrics in the result optional field if the parameter is set to true, you will receive clickstream_keyword_info, clickstream_etv, keyword_info_normalized_with_clickstream, and keyword_info_normalized_with_bing fields in the response default value: false with this parameter enabled, you will be charged double the price for the request learn more about how clickstream-based metrics are calculated in this help center article
include data from SERP for each keyword optional field if set to true, we will return a serp_info array containing SERP data (number of search results, relevant URL, and SERP features) for every keyword in the response default value: false
domain intersections in SERP optional field if you set intersections to true, you will get the keywords for which both target domains specified as target1 and target2 have results within the same SERP; the corresponding SERP elements for both domains will be provided in the results array Note: this endpoint will not provide results if the number of intersecting keywords exceeds 10 million if you specify intersections: false, you will get the keywords for which the domain specified as target1 has results in SERP, and the domain specified as target2 doesn't; thus, the corresponding SERP elements and other data will be provided for the domain specified as target1only default value: true
search results type indicates type of search results included in the response optional field possible values: ["organic", "paid", "featured_snippet", "local_pack"] default value: ["organic", "paid"]
language code required field if you don't specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: en
full name of the language required field if you don't specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: English
the maximum number of returned keywords optional field default value: 100 maximum value: 1000
location code required field if you don't specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: 2840
full name of the location required field if you don't specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: United Kingdom
offset in the items array of returned keywords optional field default value: 0 if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords
results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc - results will be sorted in the ascending order desc - results will be sorted in the descending order you should use a comma to set up a sorting parameter example: ["keyword_data.keyword_info.competition,desc"] default rule: ["keyword_data.keyword_info.search_volume,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["keyword_data.keyword_info.search_volume,desc","keyword_data.keyword_info.cpc,desc"]
user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response
[
{
"include_serp_info": true,
"language_code": "en",
"limit": 3,
"location_code": 2840,
"target1": "mom.com",
"target2": "quora.com"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes